MooseX::Declare::Syntax::InnerSyntaxHandling(3)

NAME
MooseX::Declare::Syntax::InnerSyntaxHandling - Keywords inside blocks

DESCRIPTION
This role allows you to setup keyword handlers that are only available inside blocks or other scoping environments.

METHODS

  default_inner
  ArrayRef[Object] Object->default_inner ()

Returns an empty "ArrayRef" by default. If you want to setup additional keywords you will have to "around" this method.

  setup_inner_for
  Object->setup_inner_for(ClassName $class, %args)

Sets up all handlers in the inner class.

REQUIRED METHODS

  get_identifier
  Str get_identifier ()

Required to return the name of the identifier of the current handler.

MODIFIED METHODS

  setup_for
  Object->setup_for(ClassName $class, %args)

After the keyword is setup inside itself, this will call "setup_inner_for".

SEE ALSO

•   MooseX::Declare

•   MooseX::Declare::Syntax::NamespaceHandling

•   MooseX::Declare::Syntax::MooseSetup

AUTHORS

•   Florian Ragwitz <rafl@debian.org>

•   Ash Berlin <ash@cpan.org>

•   Chas. J. Owens IV <chas.owens@gmail.com>

•   Chris Prather <chris@prather.org>

•   Dave Rolsky <autarch@urth.org>

•   Devin Austin <dhoss@cpan.org>

•   Hans Dieter Pearcey <hdp@cpan.org>

•   Justin Hunter <justin.d.hunter@gmail.com>

•   Matt Kraai <kraai@ftbfs.org>

•   Michele Beltrame <arthas@cpan.org>

•   Nelo Onyiah <nelo.onyiah@gmail.com>

•   nperez <nperez@cpan.org>

•   Piers Cawley <pdcawley@bofh.org.uk>

•   Rafael Kitover <rkitover@io.com>

•   Robert 'phaylon' Sedlacek <rs@474.at>

•   Stevan Little <stevan.little@iinteractive.com>

•   Tomas Doran <bobtfish@bobtfish.net>

•   Yanick Champoux <yanick@babyl.dyndns.org>

COPYRIGHT AND LICENSE
This software is copyright (c) 2011 by Florian Ragwitz.

This is free software; you can redistribute it and/or modify it under the same terms as the Perl 5 programming language system itself.